package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.User;
import com.ruoyi.web.work.domain.dto.AuthDto;
import com.ruoyi.web.work.domain.dto.ChoiceDto;
import com.ruoyi.web.work.domain.dto.LoginDto;
import com.ruoyi.web.work.domain.dto.UserDto;

import java.util.List;

/**
 * @author lsw
 * @date 2024-04-15
 */
public interface IUserService extends IService<User> {
    List<User> selectList(User user);

    /**
     * 微信登陆
     *
     * @param dto
     * @return
     */
    AjaxResult login(LoginDto dto);

    /**
     * 实名认证
     *
     * @param dto
     * @return
     */
    AjaxResult auth(AuthDto dto);

    /**
     * 编辑用户信息
     *
     * @param dto
     * @return
     */
    AjaxResult edit(UserDto dto);

    /**
     * 选择用户类型 0个人用户 1企业用户
     *
     * @param dto
     * @return
     */
    AjaxResult choice(ChoiceDto dto);

    /**
     * 退出登陆
     *
     * @return
     */
    AjaxResult exit();


    /**
     * 用户详情
     * @return
     */
    AjaxResult info();
}
